<?php
/*
Plugin Name:  pedropablomoral.com cluster
Plugin URI:   https://www.predropablomoral.com/
Description:  Plugin básico de navegación web por clusters
Version:      1.0
Author:      pedropablomoral.com
Author URI:   https://www.predropablomoral.com/
License:      GPL2
License URI:  https://www.gnu.org/licenses/gpl-2.0.html
Text Domain:  pedropablomoral.com
Domain Path:  /pedropablomoral-cluster

{Plugin Name} is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
any later version.
 
{Plugin Name} is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with {Plugin Name}. If not, see {License URI}.
*/

// Lo primero es cargar la hoja de estilos de nuestro plugin

add_action('init', 'register');
function register(){
	wp_register_style( 'pedropablomoral_estilos', plugins_url('/css/pedropablomoral-cluster-plugin.css', __FILE__), false, '1.0.0', 'all');
}


add_action('wp_enqueue_scripts', 'enqueue');
function enqueue(){
	wp_enqueue_style( 'pedropablomoral_estilos' );
}

// Navegacion por cluster
// Añadimos el shortcode
add_shortcode ('pedropablomoral_cluster','pedropablomoral_cluster');
add_shortcode ('pedropablomoral_cluster_paginas','pedropablomoral_cluster_paginas');


function pedropablomoral_cluster( $atts ){

    ob_start();
    $atts = shortcode_atts(
        array(
            'id' 		=> '',
            'columnas' =>'3',
		
        ),
        $atts
    );

    $ids=explode(',', $atts['id']);
    $args = array(
        'post__in' => $ids
     );
     
     $the_query = new WP_Query( $args );

echo '<div class="flex flex-fluid">';
 while ($the_query -> have_posts()) : $the_query -> the_post(); 
    echo '<article id="post-'.get_the_ID().'" class="featured-item-'.$atts['columnas'].'" >
                <div class="featured-wrapper">
                    <a href="';
                    echo esc_url( get_permalink() );
                    echo '" rel="bookmark">';
                    if( has_post_thumbnail() ) {
                        the_post_thumbnail('thumbnail-featured');
                    }
                    the_title( '<h3 class="entry-title">', '</h3>' );
    echo '</a>
    </div>
    
</article>';



endwhile;
echo '</div>';
wp_reset_postdata();
return ob_get_clean();

}

function pedropablomoral_cluster_paginas( $atts ){

    ob_start();
    $atts = shortcode_atts(
        array(
            'id' 		=> '',
            'columnas' =>'3',
		
        ),
        $atts
    );

    $ids=explode(',', $atts['id']);
    $the_query = new WP_Query( array( 'post_type' => 'page', 'post__in' => $ids, 'order'=> 'DESC', 'orderby'=> 'menu_order' ) );

echo '<div class="flex flex-fluid">';
 while ($the_query -> have_posts()) : $the_query -> the_post(); 
    echo '<article id="post-'.get_the_ID().'" class="featured-item-'.$atts['columnas'].'" >
                <div class="featured-wrapper">
                    <a href="';
                    echo esc_url( get_permalink() );
                    echo '" rel="bookmark">';
                    if( has_post_thumbnail() ) {
                        the_post_thumbnail('thumbnail-featured');
                    }
                    the_title( '<h3 class="entry-title">', '</h3>' );
    echo '</a>
    </div>
    
</article>';



endwhile;
echo '</div>';
wp_reset_postdata();
return ob_get_clean();

}